    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class java.util.zip.ZipFile

    java.lang.Object
       |
       +----java.util.zip.ZipFile

public class ZipFile
extends Object
implements ZipConstants

This class can be used to read the contents of a ZIP file. It uses RandomAccessFile for quick access to ZIP file entries, and supports both compressed and uncompressed entries.

##

ZipFile(File)
  Opens a ZIP file for reading given the specified File object.
ZipFile(String)
  Opens a ZIP file for reading given the specified file name.

##

close()
  Closes the ZIP file.
entries()
  Returns an enumeration of the ZIP file entries.
getEntry(String)
  Returns the ZIP file entry for the given path name.
getInputStream(ZipEntry)
  Returns an input stream for reading the contents of the specified ZIP file entry.
getName()
  Returns the path name of the ZIP file.

##

ZipFile

     public ZipFile(String name) throws IOException

  Opens a ZIP file for reading given the specified file name.

  Parameters:
    name - the name of the zip file
  Throws: ZipException
    if a ZIP format error has occurred
  Throws: IOException
    if an I/O error has occurred

ZipFile

     public ZipFile(File file) throws ZipException, IOException

  Opens a ZIP file for reading given the specified File object.

  Parameters:
    file - the ZIP file to be opened for reading
  Throws: ZipException
    if a ZIP error has occurred
  Throws: IOException
    if an I/O error has occurred

##

getEntry

     public ZipEntry getEntry(String name)

  Returns the ZIP file entry for the given path name. Returns null if there is no entry corresponding to the given name.

  Parameters:
    name - the name of the entry
  Returns:
    the ZIP file entry

getInputStream

     public InputStream getInputStream(ZipEntry ze) throws IOException

  Returns an input stream for reading the contents of the specified ZIP file entry.

  Parameters:
    ze - the zip file entry
  Throws: ZipException
    if a ZIP format error has occurred
  Throws: IOException
    if an I/O error has occurred

getName

     public String getName()

  Returns the path name of the ZIP file.

entries

     public Enumeration entries()

  Returns an enumeration of the ZIP file entries.

close

     public void close() throws IOException

  Closes the ZIP file.

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.